/*
 * Creado el 18-mar-04
 *
 * Para cambiar la plantilla para este archivo generado vaya a
 * Ventana&gt;Preferencias&gt;Java&gt;Generación de código&gt;Código y comentarios
 */
package es.ejie.frmk.admon.logs;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * Clase para la utilización de diferentes filtros que serán tomados en cuenta como criterios de 
 * selección en la Consulta de Logs y Trazas
 * <ul>
 * <li> Fecha Desde</li>
 * <li> Fecha Hasta</li>
 * <li> Columnas visualizables (atributos genéricos)</li>
 * <li> id. usuario</li>
 * <li> cod. aplicación</li>
 * <li> cod. operación</li>
 * <li> número de registros por Log</li>
 * <li> tipo de Log (accesos, navegación,...)</li>
 * </ul>
 * @version 2.0 Fecha: 22-05-06
 */
public class Q70Filtros implements Serializable{
	
	private static final long serialVersionUID = 1L;
	private Date dateFrom=new Date();
	private Date dateTo=new Date();
	private List conditions = new ArrayList();
	private List columnasVisualizables = new ArrayList();
	private int registrosLog = 0;
		
	public Q70Filtros (Date dateFrom, Date dateTo)
	{
		this.dateFrom=dateFrom;
		this.dateTo=dateTo;
	}
	
	public void addCondition(String field, String value)
	{
		conditions.add(new Q70Condition (field,value));
	}
	public int getSize()
	{
		return conditions.size();
	}
	public Q70Condition getCondition(int index)
	{
		return (Q70Condition)conditions.get(index);
	}
	
	public void addColumnaVisualizable(String field)
	{
		columnasVisualizables.add(field);
	}
	public int getSizeColumnasVisualizables()
	{
		return columnasVisualizables.size();
	}
	public String getColumnaVisualizable(int index)
	{
		return (String)columnasVisualizables.get(index);
	}
	
	public List getColumnasVisualizables()
	{
		return this.columnasVisualizables;
	}
	
	public Date getDateFrom() {	return dateFrom;}
	public Date getDateTo() {return dateTo;}
		
	public void setDateFrom(Date date) {dateFrom = date;}
	public void setDateTo(Date date) {dateTo = date;}

	public int getRegistrosLog()
	{
		return registrosLog;
	}

	public void setRegistrosLog(int registrosLog)
	{
		this.registrosLog = registrosLog;
	}
	

}
